diff mbox series

[v10,01/10] qemu-binfmt-conf.sh: enforce style consistency

Message ID 20200309191846.GA65@669c1c222ef4 (mailing list archive)
State New, archived
Headers show
Series qemu-binfmt-conf.sh | expand

Commit Message

Unai Martinez Corral March 9, 2020, 7:18 p.m. UTC
Spaces are removed before '; then', for consistency with other scripts
in the project.

Signed-off-by: Unai Martinez-Corral <unai.martinezcorral@ehu.eus>
Reviewed-by: Laurent Vivier <laurent@vivier.eu>
---
 scripts/qemu-binfmt-conf.sh | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

Comments

Eric Blake March 9, 2020, 7:30 p.m. UTC | #1
On 3/9/20 2:18 PM, Unai Martinez-Corral wrote:
> Spaces are removed before '; then', for consistency with other scripts
> in the project.
> 
> Signed-off-by: Unai Martinez-Corral <unai.martinezcorral@ehu.eus>
> Reviewed-by: Laurent Vivier <laurent@vivier.eu>

Technically, since this change is different than what Laurent previously 
reviewed, it might have been better to drop the R-b to make sure 
everything is still okay.  But I'll let Laurent chime in, no need to 
respin just yet.

> ---
>   scripts/qemu-binfmt-conf.sh | 34 +++++++++++++++++-----------------
>   1 file changed, 17 insertions(+), 17 deletions(-)

Reviewed-by: Eric Blake <eblake@redhat.com>
Unai Martinez Corral March 9, 2020, 7:36 p.m. UTC | #2
2020/3/9 20:30, Eric Blake:

> On 3/9/20 2:18 PM, Unai Martinez-Corral wrote:
> > Spaces are removed before '; then', for consistency with other scripts
> > in the project.
> >
> > Signed-off-by: Unai Martinez-Corral <unai.martinezcorral@ehu.eus>
> > Reviewed-by: Laurent Vivier <laurent@vivier.eu>
>
> Technically, since this change is different than what Laurent previously
> reviewed, it might have been better to drop the R-b to make sure
> everything is still okay.  But I'll let Laurent chime in, no need to
> respin just yet.
>

Thanks for clarifying. Honestly, I was not sure about how to proceed.
Laurent Vivier March 10, 2020, 8:39 a.m. UTC | #3
Le 09/03/2020 à 20:36, Unai Martinez Corral a écrit :
> 2020/3/9 20:30, Eric Blake:
> 
>     On 3/9/20 2:18 PM, Unai Martinez-Corral wrote:
>     > Spaces are removed before '; then', for consistency with other scripts
>     > in the project.
>     >
>     > Signed-off-by: Unai Martinez-Corral <unai.martinezcorral@ehu.eus>
>     > Reviewed-by: Laurent Vivier <laurent@vivier.eu
>     <mailto:laurent@vivier.eu>>
> 
>     Technically, since this change is different than what Laurent
>     previously
>     reviewed, it might have been better to drop the R-b to make sure
>     everything is still okay.  But I'll let Laurent chime in, no need to
>     respin just yet.
> 
> 
> Thanks for clarifying. Honestly, I was not sure about how to proceed.
> 

Yes, it's better to drop the R-b if you change something that could
impact the review.

But this patch seems good, so you can let my R-b now.

Thanks,
Laurent
diff mbox series

Patch

diff --git a/scripts/qemu-binfmt-conf.sh b/scripts/qemu-binfmt-conf.sh
index 9f1580a91c..c728443ba2 100755
--- a/scripts/qemu-binfmt-conf.sh
+++ b/scripts/qemu-binfmt-conf.sh
@@ -215,7 +215,7 @@  EOF
 }
 
 qemu_check_access() {
-    if [ ! -w "$1" ] ; then
+    if [ ! -w "$1" ]; then
         echo "ERROR: cannot write to $1" 1>&2
         exit 1
     fi
@@ -224,12 +224,12 @@  qemu_check_access() {
 qemu_check_bintfmt_misc() {
     # load the binfmt_misc module
     if [ ! -d /proc/sys/fs/binfmt_misc ]; then
-      if ! /sbin/modprobe binfmt_misc ; then
+      if ! /sbin/modprobe binfmt_misc; then
           exit 1
       fi
     fi
     if [ ! -f /proc/sys/fs/binfmt_misc/register ]; then
-      if ! mount binfmt_misc -t binfmt_misc /proc/sys/fs/binfmt_misc ; then
+      if ! mount binfmt_misc -t binfmt_misc /proc/sys/fs/binfmt_misc; then
           exit 1
       fi
     fi
@@ -242,16 +242,16 @@  installed_dpkg() {
 }
 
 qemu_check_debian() {
-    if [ ! -e /etc/debian_version ] ; then
+    if [ ! -e /etc/debian_version ]; then
         echo "WARNING: your system is not a Debian based distro" 1>&2
-    elif ! installed_dpkg binfmt-support ; then
+    elif ! installed_dpkg binfmt-support; then
         echo "WARNING: package binfmt-support is needed" 1>&2
     fi
     qemu_check_access "$EXPORTDIR"
 }
 
 qemu_check_systemd() {
-    if ! systemctl -q is-enabled systemd-binfmt.service ; then
+    if ! systemctl -q is-enabled systemd-binfmt.service; then
         echo "WARNING: systemd-binfmt.service is missing or disabled" 1>&2
     fi
     qemu_check_access "$EXPORTDIR"
@@ -259,10 +259,10 @@  qemu_check_systemd() {
 
 qemu_generate_register() {
     flags=""
-    if [ "$CREDENTIAL" = "yes" ] ; then
+    if [ "$CREDENTIAL" = "yes" ]; then
         flags="OC"
     fi
-    if [ "$PERSISTENT" = "yes" ] ; then
+    if [ "$PERSISTENT" = "yes" ]; then
         flags="${flags}F"
     fi
 
@@ -295,23 +295,23 @@  qemu_set_binfmts() {
 
     # register the interpreter for each cpu except for the native one
 
-    for cpu in ${qemu_target_list} ; do
+    for cpu in ${qemu_target_list}; do
         magic=$(eval echo \$${cpu}_magic)
         mask=$(eval echo \$${cpu}_mask)
         family=$(eval echo \$${cpu}_family)
 
-        if [ "$magic" = "" ] || [ "$mask" = "" ] || [ "$family" = "" ] ; then
+        if [ "$magic" = "" ] || [ "$mask" = "" ] || [ "$family" = "" ]; then
             echo "INTERNAL ERROR: unknown cpu $cpu" 1>&2
             continue
         fi
 
         qemu="$QEMU_PATH/qemu-$cpu"
-        if [ "$cpu" = "i486" ] ; then
+        if [ "$cpu" = "i486" ]; then
             qemu="$QEMU_PATH/qemu-i386"
         fi
 
         qemu="$qemu$QEMU_SUFFIX"
-        if [ "$host_family" != "$family" ] ; then
+        if [ "$host_family" != "$family" ]; then
             $BINFMT_SET
         fi
     done
@@ -331,7 +331,7 @@  QEMU_SUFFIX=""
 options=$(getopt -o ds:Q:S:e:hc:p: -l debian,systemd:,qemu-path:,qemu-suffix:,exportdir:,help,credential:,persistent: -- "$@")
 eval set -- "$options"
 
-while true ; do
+while true; do
     case "$1" in
     -d|--debian)
         CHECK=qemu_check_debian
@@ -344,14 +344,14 @@  while true ; do
         EXPORTDIR=${EXPORTDIR:-$SYSTEMDDIR}
         shift
         # check given cpu is in the supported CPU list
-        if [ "$1" != "ALL" ] ; then
-            for cpu in ${qemu_target_list} ; do
-                if [ "$cpu" = "$1" ] ; then
+        if [ "$1" != "ALL" ]; then
+            for cpu in ${qemu_target_list}; do
+                if [ "$cpu" = "$1" ]; then
                     break
                 fi
             done
 
-            if [ "$cpu" = "$1" ] ; then
+            if [ "$cpu" = "$1" ]; then
                 qemu_target_list="$1"
             else
                 echo "ERROR: unknown CPU \"$1\"" 1>&2